---
title: "Revoke the current Guest session"
description: "Clears the guest cookie and revokes the hashed token."
canonical: "https://verbafy.io/docs/api/auth/revoke-current-guest-session"
last-updated: "2026-09-23"
---

# Revoke the current Guest session

Clears the guest cookie and revokes the hashed token.

`DELETE /api/v1/auth/guest-sessions/current`

OpenAPI operation `revokeCurrentGuestSession`. This route does not use Clerk JWT or API key auth. Machine-readable contract: [OpenAPI](/openapi.json).

## curl

```curl
curl -X DELETE 'https://verbafy.io/api/v1/auth/guest-sessions/current'
```

## JavaScript

```javascript
const response = await fetch('https://verbafy.io/api/v1/auth/guest-sessions/current', {
  method: 'DELETE'
});
```

## Python

```python
import httpx

response = httpx.delete(
    "https://verbafy.io/api/v1/auth/guest-sessions/current",
)
```

```json
{
  "@context": "https://schema.org",
  "@graph": [
    {
      "@type": "Organization",
      "@id": "https://verbafy.io/#organization",
      "name": "Verbafy",
      "url": "https://verbafy.io",
      "inLanguage": "en",
      "knowsAbout": [
        "YouTube transcription",
        "Spotify episode transcription",
        "Meeting recording transcription",
        "Speaker diarization",
        "Transcript export"
      ],
      "hasOfferCatalog": {
        "@id": "https://verbafy.io/pricing#offers"
      },
      "contactPoint": {
        "@type": "ContactPoint",
        "contactType": "customer support",
        "email": "support@verbafy.io",
        "url": "https://verbafy.io/contact"
      }
    },
    {
      "@type": "TechArticle",
      "@id": "https://verbafy.io/docs/api/auth/revoke-current-guest-session#page",
      "name": "Revoke the current Guest session",
      "description": "Clears the guest cookie and revokes the hashed token.",
      "url": "https://verbafy.io/docs/api/auth/revoke-current-guest-session",
      "inLanguage": "en",
      "isPartOf": {
        "@id": "https://verbafy.io/#website"
      },
      "publisher": {
        "@id": "https://verbafy.io/#organization"
      }
    },
    {
      "@type": "BreadcrumbList",
      "itemListElement": [
        {
          "@type": "ListItem",
          "position": 1,
          "name": "Home",
          "item": "https://verbafy.io"
        },
        {
          "@type": "ListItem",
          "position": 2,
          "name": "Revoke the current Guest session",
          "item": "https://verbafy.io/docs/api/auth/revoke-current-guest-session"
        }
      ]
    }
  ]
}
```
